common: &commondata
  container: ubuntu-20.04
  envsetup: poky/oe-init-build-env
  sources:
    git_trees:
      - url: git://git.yoctoproject.org/poky
        branch: master-next

version: 1

name: Poky next branch CI
description: Build Poky for various qemu

poky: &poky
  target: core-image-minimal core-image-base core-image-weston core-image-x11

tiny: &tiny
  target: core-image-minimal core-image-base

glibc: &glibc
  local_conf:
    - INHERIT += 'buildstats buildstats-summary'
    - INHERIT:remove = 'rm_work'
    - TCLIBC := 'glibc'

musl: &musl
  local_conf:
    - INHERIT += 'buildstats buildstats-summary'
    - INHERIT:remove = 'rm_work'
    - TCLIBC := 'musl'

jobs:
- name: glibc-poky
  bakes:
    - { <<: [*commondata, *glibc, *poky], distro: poky, machine: qemuarm,     name: poky-glibc-qemuarm }
    - { <<: [*commondata, *glibc, *poky], distro: poky, machine: qemuarm64,   name: poky-glibc-qemuarm64 }
    - { <<: [*commondata, *glibc, *poky], distro: poky, machine: qemuarmv5,   name: poky-glibc-qemuarmv5 }
    - { <<: [*commondata, *glibc, *poky], distro: poky, machine: qemux86,     name: poky-glibc-qemux86 }
    - { <<: [*commondata, *glibc, *poky], distro: poky, machine: qemux86-64,  name: poky-glibc-qemux86-64 }
    - { <<: [*commondata, *glibc, *poky], distro: poky, machine: qemumips,    name: poky-glibc-qemumips }
    - { <<: [*commondata, *glibc, *poky], distro: poky, machine: qemumips64,  name: poky-glibc-qemumips64 }
    - { <<: [*commondata, *glibc, *poky], distro: poky, machine: qemuriscv32, name: poky-glibc-qemuriscv32 }
    - { <<: [*commondata, *glibc, *poky], distro: poky, machine: qemuriscv64, name: poky-glibc-qemuriscv64 }
    - { <<: [*commondata, *glibc, *poky], distro: poky, machine: qemuppc,     name: poky-glibc-qemuppc }
    - { <<: [*commondata, *glibc, *poky], distro: poky, machine: qemuppc64,   name: poky-glibc-qemuppc64 }

- name: glibc-poky-tiny
  bakes:
    - { <<: [*commondata, *glibc, *tiny], distro: poky-tiny, machine: qemux86,    name: poky-tiny-glibc-qemux86 }
    - { <<: [*commondata, *glibc, *tiny], distro: poky-tiny, machine: qemux86-64, name: poky-tiny-glibc-qemux86-64 }

- name: musl-poky
  bakes:
    - { <<: [*commondata, *musl, *poky], distro: poky, machine: qemuarm,    name: poky-musl-qemuarm }
    - { <<: [*commondata, *musl, *poky], distro: poky, machine: qemuarm64,  name: poky-musl-qemuarm64 }
    - { <<: [*commondata, *musl, *poky], distro: poky, machine: qemux86,    name: poky-musl-qemux86 }
    - { <<: [*commondata, *musl, *poky], distro: poky, machine: qemux86-64, name: poky-musl-qemux86-64 }

- name: musl-poky-tiny
  bakes:
    - { <<: [*commondata, *musl, *tiny], distro: poky-tiny, machine: qemux86,    name: poky-tiny-musl-qemux86 }
    - { <<: [*commondata, *musl, *tiny], distro: poky-tiny, machine: qemux86-64, name: poky-tiny-musl-qemux86-64 }
